Subject: Re: [PATCH v2 net] nfc: nci: assert requested protocol is valid

From: Simon Horman <[email-masked]>
Date: Wed, 11 Oct 2023 17:37:47 +0200

On Mon, Oct 09, 2023 at 04:00:54PM -0400, Jeremy Cline wrote:
> The protocol is used in a bit mask to determine if the protocol is
> supported. Assert the provided protocol is less than the maximum
> defined so it doesn't potentially perform a shift-out-of-bounds and
> provide a clearer error for undefined protocols vs unsupported ones.
> 
> Fixes: 6a2968aaf50c ("NFC: basic NCI protocol implementation")
> Reported-and-tested-by: [email-masked]
> Closes: https://syzkaller.appspot.com/bug?extid=0839b78e119aae1fec78
> Signed-off-by: Jeremy Cline <[email-masked]>

As per my review of v1, this looks good to me.

Reviewed-by: Simon Horman <[email-masked]>